#ifndef COMMON_H
#define COMMON_H

#define _SIF_PLUGIN_ 1
#define RPC_LOG SysPrintf


#include <windows.h>
#include <stdio.h>
#include "../Plugins/sif.h"

#define BOOL int

#undef TRUE
#define TRUE  1
#undef FALSE
#define FALSE 0

// important stuff

extern SSifInitialize g_SifInitialize;
extern char RPCVER[4];


#define PSX_MEMSIZE 0x400000
#define PSX_MEMMASK 0x3FFFFF

extern BYTE psxMem[PSX_MEMSIZE];
#define PSXM(mem) (&psxMem[(mem & PSX_MEMMASK)])

#define PSM(mem) g_SifInitialize.pGetMemoryPointer(mem)



typedef __int8  s8;
typedef __int16 s16;
typedef __int32 s32;
typedef __int64 s64;

typedef unsigned __int8  u8;
typedef unsigned __int16 u16;
typedef unsigned __int32 u32;
typedef unsigned __int64 u64;

//
// --- PS2 PCSX2 TYPEDEFS ---
//

typedef struct { // NOT bcd coded
	u8 minute;
	u8 second;
	u8 frame;
} cdvdLoc;

typedef struct {
	u8 strack;
	u8 etrack;
} cdvdTN;


#include "CDVD_Plugin.h"

//
// --- DEBUG FUNCTIONS ---
//

extern void SysPrintf(char *fmt, ...);



#endif