/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __RPC_SERVICES_H__
#define __RPC_SERVICES_H__

#include "../Common.h"
#include "../Sifcmd.h"

//extern kSema bSema[256];
//extern char RPCVER[5];

struct _rests{
        struct _rest{
                int  ssize;//size of bytes in sbuffer to copy to sbuf==ssize
                int  esize;//size of bytes in sbuffer to copy to ebuf==esize
                void *sbuf;//in->buffer; start of the unaligned buffer
                void *ebuf;//abuf+asize
        } rest;
        char    sbuffer[16];//copy of starting, unaligned bytes
        char    ebuffer[16];//copy of trailing, unaligned bytes
};

#include "014D704Enaplink.h"
#include "0B001337cdvd.h"
#include "0B0110C5sjpcm.h"
#include "0BADCA11amigamod.h"

#include "80000001fileio.h"
#include "80000003sysmem.h"
#include "80000400mcserv.h"
#include "8000059Xcdvdfsv.h"
#include "80000601osdsnd.h"

void sifcall_naplink(struct t_sif_rpc_call*, u32*, u32*);//014D704E
void sifcall_cdvd   (struct t_sif_rpc_call*, u32*, u32*);//0B001337
void sifcall_sjpcm  (struct t_sif_rpc_call*, u32*, u32*);//0B0110C5
void sifcall_amigamod(struct t_sif_rpc_call*, u32*, u32*);//0badca11

void sifcall_fileio(struct t_sif_rpc_call*, u32*, u32*);//80000001
void sifcall_sysmem(struct t_sif_rpc_call*, u32*, u32*);//80000003
void sifcall_mcserv(struct t_sif_rpc_call*, u32*, u32*);//80000400
void sifcall_cdvdfsv2(struct t_sif_rpc_call*, u32*, u32*);//80000592
void sifcall_cdvdfsv3(struct t_sif_rpc_call*, u32*, u32*);//80000593
void sifcall_cdvdfsv5(struct t_sif_rpc_call*, u32*, u32*);//80000595
void sifcall_cdvdfsv6(struct t_sif_rpc_call*, u32*, u32*);//80000596
void sifcall_cdvdfsv7(struct t_sif_rpc_call*, u32*, u32*);//80000597
void sifcall_cdvdfsvA(struct t_sif_rpc_call*, u32*, u32*);//8000059A
void sifcall_osdsnd(struct t_sif_rpc_call*, u32*, u32*);//80000601

#endif//__RPC_SERVICES_H__
