/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "Rpc_services.h"

///////////////////////////////////////////////////
//MOD_PUTS
void Amigamod_PUTS(char *format, ...){
#ifdef RPC_LOG
	RPC_LOG("[RPC:amigamod] Amigamod_PUTS(\"%s\", ...)\n", format);
#endif
	SysPrintf("%s", format);
}
int Amigamod_INIT(int nosdinit) {return 1;}
	
int Amigamod_LOAD(char *filename, char *buffer){return 1;}
    
int Amigamod_PLAY(unsigned linear){return 1;}
    
int Amigamod_PAUSE(){return 1;}  
int Amigamod_SETVOL( unsigned short volume){return 1;}  
int Amigamod_GETINFO( ModInfoStruct *info){return 1;} 
int Amigamod_QUIT(){return 1;}
    

//ENTRYPOINT
void sifcall_amigamod(struct t_sif_rpc_call*	call, u32 *bin, u32 *bout){
	switch (call->rpc_number) {
	case MOD_PUTS:		Amigamod_PUTS((char*)bin);		break;
/*	case MOD_INIT:	
	case MOD_LOAD:    
	case MOD_PLAY:    
	case MOD_PAUSE:   
	case MOD_SETVOL:  
	case MOD_GETINFO: 
	case MOD_QUIT: */   
	default:
#ifdef RPC_LOG
		RPC_LOG("[RPC:amigamod] <%d> function is not implemented\n", call->rpc_number);
#endif
		//*bout=-1;	//general fail
		break;
	}
}

