/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SYSMEM_H__
#define __SYSMEM_H__

#define SYSMEM_VER	0x101

//allocation strategies
#define ALLOC_FIRST	0
#define ALLOC_LAST	1
#define ALLOC_LATER	2

// see QueryBlockTopAddress, QueryBlockSize
#define USED	0x00000000
#define FREE	0x80000000

//#include <loadcore.h>
//extern struct export sysmem_stub;

void		*AllocSysMemory(int flags, int size, void *mem);//4 (26)
int		FreeSysMemory(void *mem);			//5 (26)
//unsigned int	QueryMemSize();
//unsigned int	QueryMaxFreeMemSize();
//unsigned int	QueryTotalFreeMemSize();
//void		*QueryBlockTopAddress(void *address);
//int		QueryBlockSize(void *address);
//char		*Kprintf(const char *format,...);		//14(06,26)
//void		sysmem_call15_set_Kprintf(char* (*newKprintf)(unsigned int unk, const char*, ...), unsigned int newunk);

#endif//__SYSMEM_H__
